org.apache.ignite.internal.processors.schedule

## Class IgniteNoopScheduleProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.schedule.IgniteScheduleProcessorAdapter
    - - org.apache.ignite.internal.processors.schedule.IgniteNoopScheduleProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class IgniteNoopScheduleProcessor
    extends IgniteScheduleProcessorAdapter

No-op implementation of `IgniteScheduleProcessorAdapter`, throws exception on usage attempt.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgniteNoopScheduleProcessor(GridKernalContext ctx)`

### Method Summary

Methods
`<R> SchedulerFuture<R>` `schedule(Callable<R> c, String pattern)`
`SchedulerFuture<?>` `schedule(Runnable c, String pattern)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteNoopScheduleProcessor

    public IgniteNoopScheduleProcessor(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### schedule

    public SchedulerFuture<?> schedule(Runnable c,
                              String pattern)

Specified by:
  `schedule` in class `IgniteScheduleProcessorAdapter`
Parameters:
  `c` - Closure to schedule to run as a background cron-based job.
  `pattern` - Scheduling pattern in UNIX cron format with prefix "{n1, n2} " where n1 is delay of scheduling and n2 is the number of task calls.
Returns:
  Descriptor of the scheduled execution.

#### schedule

    public <R> SchedulerFuture<R> schedule(Callable<R> c,
                                  String pattern)

Specified by:
  `schedule` in class `IgniteScheduleProcessorAdapter`
Parameters:
  `c` - Closure to schedule to run as a background cron-based job.
  `pattern` - Scheduling pattern in UNIX cron format with prefix "{n1, n2} " where n1 is delay of scheduling and n2 is the number of task calls.
Returns:
  Descriptor of the scheduled execution.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016